using System;
using SQLite;

namespace CounterDrone.Core.Models
{
    /// <summary>编组</summary>
    [Table("Group")]
    public class Group
    {
        [PrimaryKey]
        public string Id { get; set; } = Guid.NewGuid().ToString();

        [NotNull]
        public string Name { get; set; } = string.Empty;

        public int GroupType { get; set; } = (int)Models.GroupType.DroneFleet;

        public string Description { get; set; } = string.Empty;

        public string CreatedAt { get; set; } = DateTime.UtcNow.ToString("o");
    }
}
